Loading...
Searching...
No Matches
websocketpp::config::core_client Struct Reference

Client config with iostream transport. More...

`#include <core_client.hpp>`

Inheritance diagram for websocketpp::config::core_client:

## Classes

struct | transport_config
struct | permessage_deflate_config
| Extension specific settings: More...

## Public Types

typedef core_client | type
typedef websocketpp::concurrency::basic | concurrency_type
typedef http::parser::request | request_type
typedef http::parser::response | response_type
typedef message_buffer::message< message_buffer::alloc::con_msg_manager > | message_type
typedef message_buffer::alloc::con_msg_manager< message_type > | con_msg_manager_type
typedef message_buffer::alloc::endpoint_msg_manager< con_msg_manager_type > | endpoint_msg_manager_type
typedef websocketpp::log::basic< concurrency_type, websocketpp::log::elevel > | elog_type
| Logging policies.
typedef websocketpp::log::basic< concurrency_type, websocketpp::log::alevel > | alog_type
typedef websocketpp::random::random_device::int_generator< uint32_t, concurrency_type > | rng_type
| RNG policies.
typedef websocketpp::transport::iostream::endpoint< transport_config > | transport_type
| Transport Endpoint Component.
typedef websocketpp::endpoint_base | endpoint_base
| User overridable Endpoint base class.
typedef websocketpp::connection_base | connection_base
| User overridable Connection base class.
typedef websocketpp::extensions::permessage_deflate::disabled< permessage_deflate_config > | permessage_deflate_type

## Static Public Attributes

static bool const | enable_multithreading = true
static const long | timeout_open_handshake = 5000
| Default timer values (in ms).
static const long | timeout_close_handshake = 5000
| Length of time before a closing handshake is aborted.
static const long | timeout_pong = 5000
| Length of time to wait for a pong after a ping.
static const int | client_version = 13
| WebSocket Protocol version to use as a client.
static const websocketpp::log::level | elog_level
| Default static error logging channels.
static const websocketpp::log::level | alog_level
| Default static access logging channels.
static const size_t | connection_read_buffer_size = 16384
static const bool | drop_on_protocol_error = false
| Drop connections immediately on protocol error.
static const bool | silent_close = false
| Suppresses the return of detailed connection close information.
static const size_t | max_message_size = 32000000
| Default maximum message size.
static const size_t | max_http_body_size = 32000000
| Default maximum http body size.
static const bool | enable_extensions = true
| Global flag for enabling/disabling extensions.

## Detailed Description

Client config with iostream transport.

Definition at line 71 of file core_client.hpp.

## Member Typedef Documentation

## alog_type

typedef websocketpp::log::basic<concurrency_type, websocketpp::log::alevel> websocketpp::config::core_client::alog_type

Definition at line 97 of file core_client.hpp.

## con_msg_manager_type

typedef message_buffer::alloc::con_msg_manager<message_type> websocketpp::config::core_client::con_msg_manager_type

Definition at line 89 of file core_client.hpp.

## concurrency_type

typedef websocketpp::concurrency::basic websocketpp::config::core_client::concurrency_type

Definition at line 76 of file core_client.hpp.

## connection_base

typedef websocketpp::connection_base websocketpp::config::core_client::connection_base

User overridable Connection base class.

Definition at line 155 of file core_client.hpp.

## elog_type

typedef websocketpp::log::basic<concurrency_type, websocketpp::log::elevel> websocketpp::config::core_client::elog_type

Logging policies.

Definition at line 95 of file core_client.hpp.

## endpoint_base

typedef websocketpp::endpoint_base websocketpp::config::core_client::endpoint_base

User overridable Endpoint base class.

Definition at line 153 of file core_client.hpp.

## endpoint_msg_manager_type

typedef message_buffer::alloc::endpoint_msg_manager<con_msg_manager_type> websocketpp::config::core_client::endpoint_msg_manager_type

Definition at line 91 of file core_client.hpp.

## message_type

typedef message_buffer::message<message_buffer::alloc::con_msg_manager> websocketpp::config::core_client::message_type

Definition at line 87 of file core_client.hpp.

## permessage_deflate_type

typedef websocketpp::extensions::permessage_deflate::disabled<permessage_deflate_config> websocketpp::config::core_client::permessage_deflate_type

Definition at line 273 of file core_client.hpp.

## request_type

typedef http::parser::request websocketpp::config::core_client::request_type

Definition at line 82 of file core_client.hpp.

## response_type

typedef http::parser::response websocketpp::config::core_client::response_type

Definition at line 83 of file core_client.hpp.

## rng_type

typedef websocketpp::random::random_device::int_generator<uint32_t, concurrency_type> websocketpp::config::core_client::rng_type

RNG policies.

Definition at line 101 of file core_client.hpp.

## transport_type

typedef websocketpp::transport::iostream::endpoint<transport_config> websocketpp::config::core_client::transport_type

Transport Endpoint Component.

Definition at line 150 of file core_client.hpp.

## type

typedef core_client websocketpp::config::core_client::type

Definition at line 72 of file core_client.hpp.

## Member Data Documentation

## alog_level

const websocketpp::log::level websocketpp::config::core_client::alog_level

static

Initial value:
=
websocketpp::log::alevel::all ^ websocketpp::log::alevel::devel
websocketpp::log::alevel::devel
static level const devel
Development messages (warning: very chatty).
Definition levels.hpp:141
websocketpp::log::alevel::all
static level const all
Special aggregate value representing "all levels".
Definition levels.hpp:152

Default static access logging channels.

Which access logging channels to enable at compile time. Channels not enabled here will be unable to be selected by programs using the library. This option gives an optimizing compiler the ability to remove entirely code to test whether or not to print out log messages on a certain channel

Default is all except for development/debug level access messages

Definition at line 197 of file core_client.hpp.

## client_version

const int websocketpp::config::core_client::client_version = 13

static

WebSocket Protocol version to use as a client.

What version of the WebSocket Protocol to use for outgoing client connections. Setting this to a value other than 13 (RFC6455) is not recommended.

Definition at line 172 of file core_client.hpp.

## connection_read_buffer_size

const size_t websocketpp::config::core_client::connection_read_buffer_size = 16384

static

Definition at line 201 of file core_client.hpp.

## drop_on_protocol_error

const bool websocketpp::config::core_client::drop_on_protocol_error = false

static

Drop connections immediately on protocol error.

Drop connections on protocol error rather than sending a close frame. Off by default. This may result in legit messages near the error being dropped as well. It may free up resources otherwise spent dealing with misbehaving clients.

Definition at line 210 of file core_client.hpp.

## elog_level

const websocketpp::log::level websocketpp::config::core_client::elog_level

static

Initial value:
=
websocketpp::log::elevel::all ^ websocketpp::log::elevel::devel
websocketpp::log::elevel::devel
static level const devel
Low level debugging information (warning: very chatty).
Definition levels.hpp:63
websocketpp::log::elevel::all
static level const all
Special aggregate value representing "all levels".
Definition levels.hpp:80

Default static error logging channels.

Which error logging channels to enable at compile time. Channels not enabled here will be unable to be selected by programs using the library. This option gives an optimizing compiler the ability to remove entirely code to test whether or not to print out log messages on a certain channel

Default is all except for development/debug level errors

Definition at line 184 of file core_client.hpp.

## enable_extensions

const bool websocketpp::config::core_client::enable_extensions = true

static

Global flag for enabling/disabling extensions.

Definition at line 252 of file core_client.hpp.

## enable_multithreading

bool const websocketpp::config::core_client::enable_multithreading = true

static

Controls compile time enabling/disabling of thread syncronization code Disabling can provide a minor performance improvement to single threaded applications

Definition at line 106 of file core_client.hpp.

## max_http_body_size

const size_t websocketpp::config::core_client::max_http_body_size = 32000000

static

Default maximum http body size.

Default value for the http parser's maximum body size. Maximum body size determines the point at which the library will abort reading an HTTP connection with the 413/request entity too large error.

The default is 32MB

Since
  0.5.0

Definition at line 249 of file core_client.hpp.

## max_message_size

const size_t websocketpp::config::core_client::max_message_size = 32000000

static

Default maximum message size.

Default value for the processor's maximum message size. Maximum message size determines the point at which the library will fail a connection with the message_too_big protocol error.

The default is 32MB

Since
  0.3.0

Definition at line 237 of file core_client.hpp.

## silent_close

const bool websocketpp::config::core_client::silent_close = false

static

Suppresses the return of detailed connection close information.

Silence close suppresses the return of detailed connection close information during the closing handshake. This information is useful for debugging and presenting useful errors to end users but may be undesirable for security reasons in some production environments. Close reasons could be used by an attacker to confirm that the endpoint is out of resources or be used to identify the WebSocket implementation in use.

Note: this will suppress all close codes, including those explicitly sent by local applications.

Definition at line 225 of file core_client.hpp.

## timeout_close_handshake

const long websocketpp::config::core_client::timeout_close_handshake = 5000

static

Length of time before a closing handshake is aborted.

Definition at line 162 of file core_client.hpp.

## timeout_open_handshake

const long websocketpp::config::core_client::timeout_open_handshake = 5000

static

Default timer values (in ms).

Length of time before an opening handshake is aborted

Definition at line 160 of file core_client.hpp.

## timeout_pong

const long websocketpp::config::core_client::timeout_pong = 5000

static

Length of time to wait for a pong after a ping.

Definition at line 164 of file core_client.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/config/core_client.hpp